Name:           python-urwid-mitmproxy
Version:        2.1.2.1
Release:        %mkrel 2
Summary:        A full-featured console (xterm et al.) user interface library
Group:          Development/Python

License:        LGPLv2+
URL:            https://github.com/mitmproxy/urwid-mitmproxy
Source:         %{pypi_source urwid-mitmproxy}

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
An urwid fork with specific patches for mitmproxy.}


%description %_description

%package -n     python3-urwid-mitmproxy
Summary:        %{summary}

%description -n python3-urwid-mitmproxy %_description


%prep
%autosetup -p1 -n urwid-mitmproxy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
export LDFLAGS="${LDFLAGS} -g"
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files urwid


%files -n python3-urwid-mitmproxy -f %{pyproject_files}
%license COPYING


%changelog
* Tue Mar 05 2024 papoteur <papoteur> 2.1.2.1-2.mga10
+ Revision: 2047673
- add generation of debug files
+ daviddavid <daviddavid>
- rebuild for py3.12

* Fri Oct 13 2023 papoteur <papoteur> 2.1.2.1-1.mga10
+ Revision: 1995767
- imported package python-urwid-mitmproxy

